Bug 187584 - gedit & gtksourceview error
gedit & gtksourceview error
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-01 05:16 EST by Ronny Fischer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 09:23:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronny Fischer 2006-04-01 05:16:54 EST
Description of problem:

When trying to open the file grub.conf with gedit, following error messages
appears on the console:

(gedit:2477): GLib-GObject-WARNING **: IA__g_object_set_valist: object class
`GeditView' has no property named `highlight_current_line'
gedit: symbol lookup error: gedit: undefined symbol:
gtk_source_view_set_highlight_current_line

Version-Release number of selected component (if applicable):

gedit is version 2.14.1

Version of gtksourceview packages are:
gtksourceview-1.6.0-1
gnome-python2-gtksourceview-2.14.0-1

FC5 updated to the latest packages

How reproducible:

always

Steps to Reproduce:
1. try to open grub.conf with gedit
2.
3.
  
Actual results:

gedit crashes with reported error
Expected results:

gedit should show the determined file
Additional info:
Comment 1 Ronny Fischer 2006-04-01 05:18:29 EST
opening and editing the file with vi is possible.
Comment 2 Ronny Fischer 2006-04-04 13:24:46 EDT
The error comes from the installation of the mono universal binary installer.

It seems that some libraries or paths are overridden when adding the path
mono/bin to the file .bash_rc.
Comment 3 Matthias Clasen 2006-08-03 15:52:33 EDT
that sounds bad. Mono is not supposed to downgrade system libraries...
Comment 4 Alexander Larsson 2006-08-07 08:45:04 EDT
What is the "mono universal binary installer"? Is that some third party app?
Comment 5 Ronny Fischer 2006-08-07 10:01:50 EDT
The "mono universal binary installer" is the install package you can get from 
the homepage of the mono project (the generic installer for all x86 Linux 
distributions)
Comment 6 Alexander Larsson 2006-08-10 09:23:53 EDT
So, why report this problem with some third party software here?

Note You need to log in before you can comment on or make changes to this bug.